com.brightcove.player.model

## Class Region

- java.lang.Object
- - com.brightcove.player.model.Element
  - - com.brightcove.player.model.StyledElement
    - - com.brightcove.player.model.Region

- All Implemented Interfaces:
    java.io.Serializable

      public class Region
      extends StyledElement

  Represents a region definition for targeting caption rendering on screen in a TTML document.
  See Also:
    http://www.w3.org/TR/ttaf1-dfxp/#layout-vocabulary-region, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Region.DisplayAlign`

    - ### Nested classes/interfaces inherited from class com.brightcove.player.model.StyledElement

      `StyledElement.FontStyle, StyledElement.FontWeight, StyledElement.TextAlign, StyledElement.TextDecoration, StyledElement.Unit`

  - ### Field Summary

    - ### Fields inherited from class com.brightcove.player.model.StyledElement

      `backgroundColor, color, fontFamily, fontSize, fontStyle, fontWeight, styleName, textAlign, textDecoration`

    - ### Fields inherited from class com.brightcove.player.model.Element

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Region()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Region.DisplayAlign` | `getDisplayAlign()` The display alignment specification.
    `Length` | `getExtentX()` The length in the X axis for the region.
    `Length` | `getExtentY()` The length in the Y axis for the region.
    `Length` | `getOriginX()` The origin X offset for the region.
    `Length` | `getOriginY()` The origin Y offset for the region.
    `void` | `setDisplayAlign(Region.DisplayAlign displayAlign)` The display alignment specification.
    `void` | `setExtentX(Length extentX)` The length in the X axis for the region.
    `void` | `setExtentY(Length extentY)` The length in the Y axis for the region.
    `void` | `setOriginX(Length originX)` The origin X offset for the region.
    `void` | `setOriginY(Length originY)` The origin Y offset for the region.

    - ### Methods inherited from class com.brightcove.player.model.StyledElement

      `getBackgroundColor, getColor, getFontFamily, getFontSize, getFontStyle, getFontWeight, getStyleName, getTextAlign, getTextDecoration, setBackgroundColor, setColor, setFontFamily, setFontSize, setFontStyle, setFontWeight, setStyleName, setTextAlign, setTextDecoration`

    - ### Methods inherited from class com.brightcove.player.model.Element

      `getID, setID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Region

          public Region()

  - ### Method Detail

    - #### getOriginX

          public Length getOriginX()

      The origin X offset for the region.

    - #### setOriginX

          public void setOriginX(Length originX)

      The origin X offset for the region.

    - #### getOriginY

          public Length getOriginY()

      The origin Y offset for the region.

    - #### setOriginY

          public void setOriginY(Length originY)

      The origin Y offset for the region.

    - #### getExtentX

          public Length getExtentX()

      The length in the X axis for the region.

    - #### setExtentX

          public void setExtentX(Length extentX)

      The length in the X axis for the region.

    - #### getExtentY

          public Length getExtentY()

      The length in the Y axis for the region.

    - #### setExtentY

          public void setExtentY(Length extentY)

      The length in the Y axis for the region.

    - #### getDisplayAlign

          public Region.DisplayAlign getDisplayAlign()

      The display alignment specification.

    - #### setDisplayAlign

          public void setDisplayAlign(Region.DisplayAlign displayAlign)

      The display alignment specification.